Bug 66654 - [PATCH] Update /usr/ports/www/links to build with svgalib (non-X11 graphics)
[PATCH] Update /usr/ports/www/links to build with svgalib (non-X11 graphics)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Sivachenko
Depends on:
  Show dependency treegraph
Reported: 2004-05-15 03:30 UTC by wblock
Modified: 2004-06-02 00:50 UTC (History)
0 users

See Also:

file.diff (1.33 KB, patch)
2004-05-15 03:30 UTC, wblock
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description wblock 2004-05-15 03:30:25 UTC
Modify port Makefile so /usr/ports/www/links web browser can be built with svgalib support for 
graphic browsing without X11.  Still can be built with or without X11 support as well.

Fix: Apply this patch:
How-To-Repeat: Build port with current Makefile.
Comment 1 krion freebsd_committer 2004-05-15 08:48:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer.
Comment 2 wblock 2004-05-15 19:26:49 UTC
Left in a line of debugging code:

-               @${ECHO_MSG} ${CONFIGURE_ARGS}

It's harmless, but should be removed from the Makefile.
Comment 3 Dmitry Sivachenko freebsd_committer 2004-05-31 08:47:17 UTC
State Changed
From-To: open->closed

Patch committed, thanks!
Comment 4 aquatique 2004-06-01 12:01:45 UTC
+USE_XLIB=  no
+CONFIGURE_ARGS+= --without-x

this has the port to use XLIB whether WITHOUT_X11 set or not

freebsd-ports@freebsd.org mailing list
To unsubscribe, send any mail to "freebsd-ports-unsubscribe@freebsd.org"